using Core.Abstractions.DomainObjects;

namespace Core.DomainObjects {
  public class Route : DomainObjectBase<Route> {

    public string Target { get; set; }
    public string? Component { get; set; }
    public List<Route>? ChildRoutes { get; set; }

    public override int GetHashCode() {
      throw new NotImplementedException();
    }
  }
}
